setuptools (78.1.1-0.1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:41:46 +0100

setuptools (78.1.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to upstream 78.1.1 which fixes CVE-2025-47273 (Closes: #1105970)
    - Path traversal in PackageIndex.download leads to Arbitrary File Write.
  * debian/watch: Update URI to https.

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 27 May 2025 15:19:40 +0200

setuptools (78.1.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Make python3-setuptools break python3-wheel < 0.46.0.
  * Revert upstream change to use #!python shebang (closes: #1103186).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 18 Apr 2025 14:51:13 +0300

setuptools (78.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 10 Apr 2025 17:02:12 -0400

setuptools (78.1.0-1) experimental; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Apr 2025 08:35:21 +0200

setuptools (77.0.3-1) experimental; urgency=medium

  * New upstream version. Closes: #1100972.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Mar 2025 11:01:05 +0100

setuptools (75.8.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Feb 2025 12:13:08 +0100

setuptools (75.6.0-1) unstable; urgency=medium

  * New upstream version.
  * Fix build with multiple supported python versions.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Dec 2024 13:20:49 +0100

setuptools (75.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Oct 2024 13:00:40 +0200

setuptools (74.1.2-2) unstable; urgency=medium

  * generate nondeterministic PKG-INFO files (Chris Lamb).
    Closes: #1077601.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2024 16:20:00 +0200

setuptools (74.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2024 15:05:44 +0200

setuptools (73.0.1-1) unstable; urgency=medium

  * New upstream version. Closes: #1079282.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2024 16:18:52 +0200

setuptools (73.0.0-1) unstable; urgency=medium

  * New upstream version.
  * Move some vendored modules to python3-pkg-resources. Closes: #1079175.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Aug 2024 10:10:08 +0200

setuptools (72.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Aug 2024 13:06:47 +0200

setuptools (70.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sat, 13 Jul 2024 10:20:32 +0200

setuptools (70.3.0-1) experimental; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jul 2024 09:18:06 +0200

setuptools (68.1.2-4) unstable; urgency=medium

  * python3-setuptools: Drop dependency on python3-distutils.
    Closes: #1056198, #1076036.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jul 2024 09:14:25 +0200

setuptools (68.1.2-2) unstable; urgency=medium

  * Don't run dh_auto_clean, just remove the .pybuild directory manually.
    dh-python would remove the egg-info dir during the dh_auto_clean call.
    Closes: #1052540, #1052783. LP: #2037205.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Oct 2023 10:28:14 +0200

setuptools (68.1.2-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Aug 2023 20:49:08 +0200

setuptools (68.0.0-2) unstable; urgency=medium

  * Exclude the debian dir from namespace_package searches by default.
    Stefano Rivera. Closes: #1041091.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Aug 2023 05:21:32 +0200

setuptools (68.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Jul 2023 13:39:33 +0200

setuptools (67.8.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Jun 2023 09:47:57 +0200

setuptools (66.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Jan 2023 07:49:44 +0100

setuptools (65.6.3-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2022 10:00:07 +0100

setuptools (65.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install distutils-precedence.pth, to avoid packages need to hack import
    order in setup.py. Closes: #1025216

 -- Stefano Rivera <stefanor@debian.org>  Sat, 03 Dec 2022 10:16:50 -0400

setuptools (65.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Oct 2022 16:45:14 +0200

setuptools (65.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix a merge error in multiarch-extname.diff, causing sysconfig to be an
    unbound local in easy_install.py

 -- Stefano Rivera <stefanor@debian.org>  Thu, 15 Sep 2022 10:01:42 +0200

setuptools (65.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Build-depend on python3-sphinx-notfound-page.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Sep 2022 16:54:08 +0200

setuptools (63.2.0-1) experimental; urgency=medium

  * New upstream version.
  * Build-depend on python3-sphinx-reredirects.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 17:53:39 +0200

setuptools (59.6.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 18 Jan 2022 08:56:42 -0400

setuptools (59.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build a python3-setuptools-whl package. Closes: #1003573.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 12 Jan 2022 13:21:21 -0400

setuptools (59.6.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Dec 2021 02:16:07 +0100

setuptools (59.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Dec 2021 14:38:34 +0100

setuptools (59.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Nov 2021 09:19:38 +0100

setuptools (58.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Still build the docs with the old alabaster theme.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Oct 2021 13:44:59 +0200

setuptools (57.0.0-1) experimental; urgency=medium

  * New upstream version.
  * Build the docs without the towncrier sphinx extension for now.
  * Don't include the exe installer files in the binary package, not
    rebuilt using the mingw64 toolchain. Closes: #989346.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Jun 2021 12:38:01 +0200

setuptools (56.0.0-1) experimental; urgency=medium

  * New upstream version.
  * Build the docs without the sphinx_inline_tabs extension for now.

 -- Matthias Klose <doko@debian.org>  Tue, 04 May 2021 12:57:29 +0200

setuptools (54.1.0-1) experimental; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Mar 2021 12:00:51 +0100

setuptools (52.0.0-3) unstable; urgency=medium

  * Use sysconfig.get_platform instead of distutils.util.get_platform.
    in the vendored packaging module. Addresses: #982921.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Mar 2021 11:04:50 +0100

setuptools (52.0.0-1) unstable; urgency=medium

  * New upstream version.
  * Drop the easy_install scripts, removed upstream.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Feb 2021 09:53:25 +0100

setuptools (51.3.3-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jan 2021 17:11:54 +0100

setuptools (51.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper and standards versions.
  * Take the docs/Makefile from the 50.3.0 release, and don't build the docs
    with the advertising sidebar.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Dec 2020 11:42:50 +0100

setuptools (50.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Oct 2020 13:06:30 +0200

setuptools (49.3.1-2) unstable; urgency=medium

  * Include _distutils_hack in the packge. Closes: #968410.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Aug 2020 11:56:47 +0200

setuptools (49.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Aug 2020 13:36:56 +0200

setuptools (46.1.3-1) unstable; urgency=medium

  * New upstream version.
  * Add lintian overrides for source-contains-prebuilt-windows-binary
    to document why these files are acceptable for Debian (Scott Kitterman).
    Closes: #958324.
  * Bump debhelper version.
  * Update debian/copyright, add license for the vendored packaging module.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Apr 2020 12:43:26 +0200

setuptools (45.2.0-1) unstable; urgency=medium

  * New upstream version, Python3 only. Keep building the Python2 and
    PyPy packages from the python-setuptools sources.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Feb 2020 13:20:41 +0100

python-setuptools (44.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jan 2020 12:25:00 +0100

python-setuptools (41.4.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Oct 2019 16:02:41 +0200

python-setuptools (41.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Sep 2019 08:34:04 +0200

python-setuptools (41.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Aug 2019 13:52:19 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-setuptools-whl`.
